logo


FXpansion is proud to announce that BFD2.3 is now fully 64-bit compatible in Windows 7 and Mac OSX 10.5.8 or later.

64-bit compatibility means that you are now able to use more of your system’s RAM for loading BFD2 kits when running it in a 64-bit environment (the OS must be 64-bit, as must the DAW/host if running BFD2 as a plugin). Therefore:

  • You no longer need to use ‘bit-bridge’ technologies to use BFD2 within a 64-bit environment.
  • You can now assemble larger kits, with much higher quality settings, and take better advantage of the constantly growing library of BFD2 expansion packs.
  • You can have more memory available for other tasks if you have a large amount of RAM in your system.

This update requires Windows 7 or OSX 10.5.8 or later – it is not compatible with OS versions prior to these such as Windows XP or Vista.

Please note that if you are updating from v2.0.x or v2.1.x, you must first download and run the v2.2 data patcher before installing v2.3.

You only need to download and install the following updates in the ‘Software updates’ and ‘Audio fixes’ sections:

  • BFD2 – 2.3.0.38
  • BFD2 data patch v2.2.2 (if updating from 2.0.x or 2.1.x)

You do not need to download the BFD2 download data installers in the ‘Product audio content’ section – these are only for purchasers of the BFD2 download edition and should not be installed if you are already using BFD2.

Login to your FXpansion.com user account to access the update.